Create a signature request
curl --request POST \
--url https://formable-production.up.railway.app/api/v0/signature-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "abc123xyz",
"signer": {
"email": "signer@example.com",
"name": "Jane Doe"
},
"sender": {
"email": "sender@example.com",
"name": "John Smith"
},
"testMode": false,
"fields": [
{
"fieldId": "field_123",
"value": "Acme Corporation"
}
]
}
'import requests
url = "https://formable-production.up.railway.app/api/v0/signature-requests"
payload = {
"templateId": "abc123xyz",
"signer": {
"email": "signer@example.com",
"name": "Jane Doe"
},
"sender": {
"email": "sender@example.com",
"name": "John Smith"
},
"testMode": False,
"fields": [
{
"fieldId": "field_123",
"value": "Acme Corporation"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: 'abc123xyz',
signer: {email: 'signer@example.com', name: 'Jane Doe'},
sender: {email: 'sender@example.com', name: 'John Smith'},
testMode: false,
fields: [{fieldId: 'field_123', value: 'Acme Corporation'}]
})
};
fetch('https://formable-production.up.railway.app/api/v0/signature-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signatureRequestId": "abc123xyz"
}{
"error": "templateId is required"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to perform this action"
}{
"error": "Resource not found for id abc123xyz"
}{
"error": "Internal server error"
}Signature Requests
Create a signature request
Creates a new signature request from a template. Requires a templateId, a signer (email and name), and a sender (email and name). Optionally accepts a fields array to pre-fill template fields before sending.
POST
/
v0
/
signature-requests
Create a signature request
Authorizations
OAuth 2.0 client credentials access token, passed as a Bearer token in the Authorization header.
Body
application/json
The ID of the template to create a signature request for.
Example:
"abc123xyz"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional flag to mark the signature request as a test. Test mode requests are not counted toward billing.
Example:
false
Optional array of fields to pre-fill in the template.
Show child attributes
Show child attributes
Response
Signature request created successfully.
The unique identifier of the created signature request.
Example:
"abc123xyz"
⌘I